%define module	singledispatch

Name:		python-%{module}
Version:	3.4.0.3
Release:	%mkrel 7
Summary:	This library brings functools.singledispatch from Python 3.4 to Python 2.6-3.3
Group:		Development/Python
License:	MIT
URL:		http://docs.python.org/3/library/functools.html#functools.singledispatch
Source0:	https://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(six)


%description
PEP 443 proposed to expose a mechanism in the functools standard library
module in Python 3.4 that provides a simple form of generic programming
known as single-dispatch generic functions.

This library is a backport of this functionality to Python 2.6 - 3.3.

#---------------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        This library brings functools.singledispatch from Python 3.4 to Python 2.6-3.3
Group:          Development/Python
BuildArch:      noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(six)


%description -n python3-%{module}
PEP 443 proposed to expose a mechanism in the functools standard library
module in Python 3.4 that provides a simple form of generic programming
known as single-dispatch generic functions.

This library is a backport of this functionality to Python 2.6 - 3.3.

This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------
%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

# remove /usr/bin/env python from scripts
sed -i '1d' singledispatch.py
sed -i '1d' singledispatch_helpers.py

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%check
%{__python2} %py_setup test

pushd %{py3dir}
%{__python3} %py_setup test
popd

%files
%doc README.rst
%{python2_sitelib}/%{module}.py*
%{python2_sitelib}/%{module}_helpers.py*
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst
%{python3_sitelib}/%{module}.py*
%{python3_sitelib}/%{module}_helpers.py*
%{python3_sitelib}/__pycache__/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 3.4.0.3-7.mga6
+ Revision: 1007178
- fix python macros

* Fri Feb 19 2016 umeabot <umeabot> 3.4.0.3-6.mga6
+ Revision: 970496
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 3.4.0.3-5.mga6
+ Revision: 887046
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0.3-4.mga5
+ Revision: 744969
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.4.0.3-3.mga5
+ Revision: 729765
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Thu Jul 24 2014 daviddavid <daviddavid> 3.4.0.3-1.mga5
+ Revision: 656370
- imported package python-singledispatch

